Class {
	#name : #InstagramUrlTest,
	#superclass : #TestCase,
	#category : #'Instagram-Tests'
}

{ #category : #tests }
InstagramUrlTest >> testInstagramUrlInstanceCreation [
	| i |
	i := InstagramUrl newURL: 'instagram.com'.
	self assert: i url asStringOrText equals: 'https://instagram.com/'
]

{ #category : #tests }
InstagramUrlTest >> testNotInstagramUrl1 [
	| i |
	i := InstagramUrl newURL: 'nstgrm.com'.
	self assert: i url asStringOrText equals: 'https://www.instagram.com/'
]

{ #category : #tests }
InstagramUrlTest >> testNotInstagramUrl2 [
	| i |
	i := InstagramUrl newURL: 'nstgrm.com'.
	self assert: i class equals: InstagramUrl new class.
]
